<?php
class Box1_Widget extends \Elementor\Widget_Base {

    public function get_name() {
        return 'box1-widget';
    }

    public function get_title() {
        return __( 'باکس 1', 'my-custom-widget' );
    }

    public function get_icon() {
        return 'eicon-box';
    }

    public function get_categories() {
        return [ 'naqshara_category' ];
    }


    protected function _register_controls() {
        $this->start_controls_section(
            'content_section',
            [
                'label' => __( 'محتوا', 'my-custom-widget' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'box_title',
            [
                'label' => __( 'عنوان باکس', 'my-custom-widget' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'نقش آرا' , 'my-custom-widget' ),
                'placeholder' => __( 'عنوان باکس خود را وارد کنید', 'my-custom-widget' ),
            ]
        );

        $this->add_control(
            'box_description',
            [
                'label' => __( 'توضیحات باکس', 'my-custom-widget' ),
                'type' => \Elementor\Controls_Manager::TEXTAREA,
                'default' => __( 'افزونه' , 'my-custom-widget' ),
                'placeholder' => __( 'توضیحات خود را وارد کنید', 'my-custom-widget' ),
            ]
        );

        $this->add_control(
            'box_link',
            [
                'label' => __( 'لینک باکس', 'my-custom-widget' ),
                'type' => \Elementor\Controls_Manager::URL,
                'placeholder' => __( 'https://sizitop.com', 'my-custom-widget' ),
                'default' => [
                    'url' => '',
                    'is_external' => true,
                    'nofollow' => true,
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
        $settings = $this->get_settings_for_display();
        $link = $settings['box_link']['url'] ? $settings['box_link']['url'] : '#';

        echo '<div class="gibberish-outer">';
        echo '<a href="' . esc_url( $link ) . '" target="_blank">';
        echo '<div class="gibberish-dot"></div>';
        echo '<div class="gibberish-card">';
        echo '<div class="gibberish-ray"></div>';
        echo '<div class="gibberish-text">' . esc_html( $settings['box_title'] ) . '</div>';
        echo '<div>' . esc_html( $settings['box_description'] ) . '</div>';
        echo '<div class="gibberish-line gibberish-topl"></div>';
        echo '<div class="gibberish-line gibberish-leftl"></div>';
        echo '<div class="gibberish-line gibberish-bottoml"></div>';
        echo '<div class="gibberish-line gibberish-rightl"></div>';
        echo '</div>';
        echo '</a>';
        echo '</div>';
    }

}
