<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

class Box5_Widget extends \Elementor\Widget_Base {

    public function get_name() {
        return 'box5_widget';
    }

    public function get_title() {
        return __( 'باکس 5', 'plugin-name' );
    }

    public function get_icon() {
        return 'eicon-code';
    }

    public function get_categories() {
        return [ 'naqshara_category' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'content_section',
            [
                'label' => __( 'محتوا', 'plugin-name' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'title',
            [
                'label' => __( 'عنوان باکس', 'plugin-name' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'style.css', 'plugin-name' ),
                'placeholder' => __( 'عنوان خود را وارد کنید!', 'plugin-name' ),
            ]
        );

        $this->add_control(
            'code_content',
            [
                'label' => __( 'کد محتوا', 'plugin-name' ),
                'type' => \Elementor\Controls_Manager::TEXTAREA,
                'default' => __( '.card { width: 300px; height: 400px; margin: 0 auto; background-color: #24233b; border-radius: 8px; }', 'plugin-name' ),
                'placeholder' => __( 'کد برای محتوا وارد کنید!', 'plugin-name' ),
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
        $settings = $this->get_settings_for_display();
        ?>
        <div class="card">
            <div class="header">
                <div class="top">
                    <div class="circle">
                        <span class="red circle2"></span>
                    </div>
                    <div class="circle">
                        <span class="yellow circle2"></span>
                    </div>
                    <div class="circle">
                        <span class="green circle2"></span>
                    </div>
                    <div class="title">
                        <p id="title2"><?php echo $settings['title']; ?></p>
                    </div>
                </div>
            </div>
            <div class="code-container">
                <textarea class="area" id="code" name="code" readonly="readonly"><?php echo $settings['code_content']; ?></textarea>
            </div>
        </div>
        <?php
    }

    protected function _content_template() {
        ?>
        <div class="card">
            <div class="header">
                <div class="top">
                    <div class="circle">
                        <span class="red circle2"></span>
                    </div>
                    <div class="circle">
                        <span class="yellow circle2"></span>
                    </div>
                    <div class="circle">
                        <span class="green circle2"></span>
                    </div>
                    <div class="title">
                        <p id="title2">{{{ settings.title }}}</p>
                    </div>
                </div>
            </div>
            <div class="code-container">
                <textarea class="area" id="code" name="code" readonly="readonly">{{{ settings.code_content }}}</textarea>
            </div>
        </div>
        <?php
    }
}
