<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

class Box8_Widget extends \Elementor\Widget_Base {

    public function get_name() {
        return 'box8_widget';
    }

    public function get_title() {
        return __( 'باکس 8', 'naqshara' );
    }

    public function get_icon() {
        return 'eicon-posts-ticker';
    }

    public function get_categories() {
        return [ 'naqshara_category' ]; 
    }

    protected function _register_controls() {
        $this->start_controls_section(
            'content_section',
            [
                'label' => __( 'محتوا', 'naqshara' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'box_link',
            [
                'label' => __( 'لینک باکس', 'naqshara' ),
                'type' => \Elementor\Controls_Manager::URL,
                'default' => [
                    'url' => '#',
                ],
            ]
        );

        $this->add_control(
            'card_title',
            [
                'label' => __( 'عنوان کارت', 'naqshara' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'عنوان باکس', 'naqshara' ),
            ]
        );

        $this->add_control(
            'card_subtitle',
            [
                'label' => __( 'زیرعنوان کارت', 'naqshara' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'زیر عنوان', 'naqshara' ),
            ]
        );

        $this->add_control(
            'card_description',
            [
                'label' => __( 'توضیحات کارت', 'naqshara' ),
                'type' => \Elementor\Controls_Manager::TEXTAREA,
                'default' => __( 'نقش آرا افزونه زیبا سازی وبسایت شما با چند کلیک وبسیات خود را زیباتر نشان دهید', 'naqshara' ),
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
        $settings = $this->get_settings_for_display();
        $box_link = $settings['box_link']['url'];
        $card_title = $settings['card_title'];
        $card_subtitle = $settings['card_subtitle'];
        $card_description = $settings['card_description'];
        ?>
        <a href="<?php echo esc_url( $box_link ); ?>" class="box-link">
            <div class="gkbj6">
                <div class="gkdgkg5">
                    <p class="lojk3"><?php echo esc_html( $card_title ); ?></p>
                    <div class="mnlk4">
                        <p class="opui5"><?php echo esc_html( $card_subtitle ); ?></p>
                        <p><?php echo esc_html( $card_description ); ?></p>
                    </div>
                </div>
                <div class="vbnm8"></div>
            </div>
        </a>
        <?php
    }

    protected function _content_template() {
        ?>
        <a href="{{{ settings.box_link.url }}}" class="box-link">
            <div class="gkbj6">
                <div class="gkdgkg5">
                    <p class="lojk3">{{{ settings.card_title }}}</p>
                    <div class="mnlk4">
                        <p class="opui5">{{{ settings.card_subtitle }}}</p>
                        <p>{{{ settings.card_description }}}</p>
                    </div>
                </div>
                <div class="vbnm8"></div>
            </div>
        </a>
        <?php
    }
}
