<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

class Button4_Widget extends \Elementor\Widget_Base {

    public function get_name() {
        return 'button4';
    }

    public function get_title() {
        return __( 'دکمه 4', 'naqshara' );
    }

    public function get_icon() {
        return 'eicon-button';
    }

    public function get_categories() {
        return [ 'naqshara_category' ];
    }

    protected function _register_controls() {
        $this->start_controls_section(
            'content_section',
            [
                'label' => __( 'محتوا', 'naqshara' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'button_text',
            [
                'label' => __( 'عنوان دکمه', 'naqshara' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'نقش آرا', 'naqshara' ),
            ]
        );

        $this->add_control(
            'button_link',
            [
                'label' => __( 'لینک دکمه', 'naqshara' ),
                'type' => \Elementor\Controls_Manager::URL,
                'default' => [
                    'url' => '#',
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
        $settings = $this->get_settings_for_display();
        $button_text = $settings['button_text'];
        $button_link = $settings['button_link']['url'];
        ?>
        <a href="<?php echo esc_url( $button_link ); ?>">
            <button class="bh">
                <?php echo esc_html( $button_text ); ?>
            </button>
        </a>
        <?php
    }

    protected function _content_template() {
        ?>
        <#
        var button_text = settings.button_text;
        var button_link = settings.button_link.url;
        #>
        <a href="{{ button_link }}">
            <button class="bh">
                {{{ button_text }}}
            </button>
        </a>
        <?php
    }
}
