<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly.
}

class Button5_Widget extends \Elementor\Widget_Base {

    public function get_name() {
        return 'button5';
    }

    public function get_title() {
        return __( 'دکمه 5', 'naqshara' );
    }

    public function get_icon() {
        return 'eicon-button';
    }

    public function get_categories() {
        return [ 'naqshara_category' ];
    }

    protected function _register_controls() {
        $this->start_controls_section(
            'content_section',
            [
                'label' => __( 'محتوا', 'naqshara' ),
                'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
            ]
        );

        $this->add_control(
            'button_text',
            [
                'label' => __( 'عنوان دکمه', 'naqshara' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'نقش آرا', 'naqshara' ),
            ]
        );

        $this->add_control(
            'button_link',
            [
                'label' => __( 'لینک دکمه', 'naqshara' ),
                'type' => \Elementor\Controls_Manager::URL,
                'default' => [
                    'url' => '#',
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render() {
        $settings = $this->get_settings_for_display();
        $button_text = $settings['button_text'];
        $button_link = $settings['button_link']['url'];
        ?>
        <button class="cju" onclick="window.location.href='<?php echo esc_url( $button_link ); ?>'">
            <div class="fx"></div>
            <div class="fx bottom"></div>
            <div class="content">
                <span><?php echo esc_html( $button_text ); ?></span>
                <svg viewBox="0 0 1200 1200" version="1.1" height="30" width="30" xmlns="http://www.w3.org/2000/svg">
                    <path fill="#fed3fe" d="m150 550h775v100h-775z"></path>
                    <path fill="#fed3fe" d="m710 935-70-70 265-265-265-265 70-70 335 335z"></path>
                </svg>
            </div>
        </button>
        <?php
    }

    protected function _content_template() {
        ?>
        <button class="cju" onclick="window.location.href='{{ settings.button_link.url }}'">
            <div class="fx"></div>
            <div class="fx bottom"></div>
            <div class="content">
                <span>{{{ settings.button_text }}}</span>
                <svg viewBox="0 0 1200 1200" version="1.1" height="30" width="30" xmlns="http://www.w3.org/2000/svg">
                    <path fill="#fed3fe" d="m150 550h775v100h-775z"></path>
                    <path fill="#fed3fe" d="m710 935-70-70 265-265-265-265 70-70 335 335z"></path>
                </svg>
            </div>
        </button>
        <?php
    }
}
